Package org.opensaml.saml.saml2.binding.impl

# Class CheckNoPassiveHandler

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.messaging.handler.AbstractMessageHandler
org.opensaml.saml.saml2.binding.impl.CheckNoPassiveHandler

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `MessageHandler`

public class CheckNoPassiveHandler extends AbstractMessageHandler
Message handler that raises an exception if a SAML message is a response containing the `StatusCode.NO_PASSIVE` status code.

Since:
  5.2.0

## Constructor Summary

Constructors
Constructor
Description
`CheckNoPassiveHandler()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`private boolean`
`isNoPassiveResponse(Object message)`
Get whether the message is a SAML response containing an error status.

### Methods inherited from class org.opensaml.messaging.handler.AbstractMessageHandler

`doPostInvoke, doPostInvoke, doPreInvoke, getActivationCondition, getLogPrefix, invoke, isPreInvokeCalled, setActivationCondition`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, doInitialize, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

## Constructor Details

### CheckNoPassiveHandler

public CheckNoPassiveHandler()

## Method Details

### doInvoke

protected void doInvoke(@Nonnull MessageContext messageContext) throws MessageHandlerException
Performs the handler logic.

Specified by:
  `doInvoke` in class `AbstractMessageHandler`
Parameters:
  `messageContext` - the message context on which to invoke the handler
Throws:
  `MessageHandlerException` - if there is an error invoking the handler on the message context

### isNoPassiveResponse

private boolean isNoPassiveResponse(@Nullable Object message)
Get whether the message is a SAML response containing an error status.

Parameters:
  `message` - message to check
Returns:
  true iff the message is a SAML response containing an error status